ubuntu Rstudio-server安装devtools失败

原创 2015年11月18日 17:30:34

R语言安装devtools失败

1.问题提示
------------------------- ANTICONF ERROR ---------------------------
Configuration failed because libxml-2.0 was not found. Try installing:
 * deb: libxml2-dev (Debian, Ubuntu, etc)
 * rpm: libxml2-devel (Fedora, CentOS, RHEL)
 * csw: libxml2_dev (Solaris)
If libxml-2.0 is already installed, check that 'pkg-config' is in your
PATH and PKG_CONFIG_PATH contains a libxml-2.0.pc file. If pkg-config
is unavailable you can set INCLUDE_DIR and LIB_DIR manually via:
R CMD INSTALL --configure-vars='INCLUDE_DIR=... LIB_DIR=...'
ERROR: dependencies ‘httr’, ‘curl’, ‘rversions’ are not available for package ‘devtools’
* removing ‘/usr/local/lib/R/site-library/devtools’
##解决
sudo apt-get install libcurl4-openssl-dev

2.问题提示
ERROR: dependency ‘xml2’ is not available for package ‘rversions’
ERROR: dependency ‘rversions’ is not available for package ‘devtools’
* removing ‘/usr/local/lib/R/site-library/devtools’
##解决
install.packages("xmls2")

3.错误提示
Configuration failed because libxml-2.0 was not found. Try installing:
 * deb: libxml2-dev (Debian, Ubuntu, etc)
 * rpm: libxml2-devel (Fedora, CentOS, RHEL)
 * csw: libxml2_dev (Solaris)
If libxml-2.0 is already installed, check that 'pkg-config' is in your
PATH and PKG_CONFIG_PATH contains a libxml-2.0.pc file. If pkg-config
is unavailable you can set INCLUDE_DIR and LIB_DIR manually via:
R CMD INSTALL --configure-vars='INCLUDE_DIR=... LIB_DIR=...'
##解决
sudo apt-get install libxml2-dev
install.packages("xmls2")
install.packages("rversions")
install.packages("devtools")
##成功
版权声明:本文为博主原创文章,未经博主允许不得转载。

ERROR: dependency ‘plyr’ is not available for package ‘scales’

在R语言中安装igraph时出现了错误:    ERROR: dependency ‘plyr’ is not available for package ‘scales’ 类似错误的解决...
  • GQB1226
  • GQB1226
  • 2015年12月18日 21:22
  • 985

ubuntu下使用github安装R Packages[已解决]

安装packages失败: 提示错误为:package ‘****’ is not available (for R version 3.1.2) Solved: 使用github的安装方式:先安装...
  • reallocing1
  • reallocing1
  • 2016年10月14日 13:08
  • 733

yum与apt命令比较,yum安装出现No package vim available解决办法

Task Red Hat/Fedora Ubuntu/Debian Adding, Removing and Upgrading Packages Refresh list o...
  • txl16211
  • txl16211
  • 2014年08月17日 13:26
  • 2280

Sublime Text 无法使用Package Control或插件安装失败的解决方法

本文主要介绍Sublime Text如何开启debug模式,以及分析一些使用过程中常见错误的解决方法。情形一Package Control:There are no packages availabl...
  • freshlover
  • freshlover
  • 2015年03月14日 17:57
  • 279184

Ubuntu14.04.2安装搜狗输入法

1 下载     到这里下载搜狗拼音输入法安装包sogoupinyin_1.2.0.0056_i386.deb。 2 安装 sudo dpkg -i sogoupinyin_1.2.0.0056_i3...
  • Q1302182594
  • Q1302182594
  • 2015年07月26日 15:54
  • 9774

CentOS下安装和使用chrome

要安装和使用chrome,需要先添加一个源地址 vim /etc/yum.repos.d/CentOS-Base.repo 在这个文件里面添加一个源: 如果你的系统是32位的,添加下面的...
  • backgarden_straw
  • backgarden_straw
  • 2013年01月03日 14:47
  • 4831

Linux平台编译curl7.37.1(32位、64位)

一、代码准备 gunzip curl-7.37.1.tar.gz——解压 tar xvf curl-7.37.1.tar——解包 二、编译 32位编译 1)configure 2)make 至少在我的...
  • pony12
  • pony12
  • 2015年02月13日 10:59
  • 4248

Linux压缩解压打包命令

打包命令   tar -cvf /test.tar /test  解压命令   tar -xvf /test.tar   在SHH或者终端下输入:yum...
  • hehe520347
  • hehe520347
  • 2015年09月02日 14:45
  • 297

Ubuntu14.04.4安装搜狗输入法

Ubuntu14.04.4安装搜狗输入法
  • bluewindwater
  • bluewindwater
  • 2016年07月12日 12:07
  • 178

ubuntu 64位下安装wps

首先,去官网下载wps。地址:http://community.wps.cn/download/ 然后切换到下载目录,执行如下命令: $ sudo apt-get install ia32-lib...
  • iAm333
  • iAm333
  • 2014年08月04日 17:35
  • 2196
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:ubuntu Rstudio-server安装devtools失败
举报原因:
原因补充:

(最多只允许输入30个字)